@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
}

:root {
  --color-primary: #6c63ff;
  --color-success: #00bf8e;
  --color-warning: #f7c94b;
  --color-danger: #f75842;
  --color-danger-variant: rgba(247, 88, 66, 0.4);
  --color-white: #fff;
  --color-light: rgba(255, 255, 255, 0.7);
  --color-black: #000;
  --color-bg: #1f2641;
  --color-bg1: #2e3267;
  --color-bg2: #424890;

  --container-width-lg: 76%;
  --container-width-md: 90%;
  --container-width-sm: 94%;
  --transition: all 400ms ease;
  /* background-image: linear-gradient(to bottom,#fc5c7d,#6a82fb); */

  /* background: linear-gradient(red,blue,green,purple,yellow);
  height: 100px;
  width: 100px;
  border: 2px;
  border-radius: 50%;
  padding: 5px; */
}

.staffMembersSocial{
  font-family: "Kanit", sans-serif;
  font-weight: 400;
  font-style: normal;
}

body {
  font-family: "Roboto Slab", serif;
  line-height: 1.7;
  color: var(--color-white);
  /* background-color: var(--color-bg); */
  min-height: 100vh;
  background: #0c192c;
}

.bgAniConatiner {
  position: fixed;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  z-index: -1;
}

.bubbles {
  position: relative;
  display: flex;
  z-index: -100;
}

.bubbles span {
  position: relative;
  width: 30px;
  height: 30px;
  background: #4fc3dc;
  margin: 0 4px;
  border-radius: 50%;
  box-shadow: 0 0 0 10px #4fc3dc44, 0 0 50px #4fc3dc, 0 0 100px #4fc3dc;
  animation: aniBG 15s linear infinite;
  animation-duration: calc(125s / var(--i));
}

.bubbles span:nth-child(even) {
  background: #ff2d75;

  box-shadow: 0 0 0 10px #ff2d7544, 0 0 50px #ff2d75, 0 0 100px #ff2d75;
}

@keyframes aniBG {
  0% {
    transform: translateY(100vh) scale(0);
  }

  100% {
    transform: translateY(-10vh) scale(1);
  }
}

.container {
  width: var(--container-width-lg);
  margin: 0 auto;
}

.contact {
  padding: 6rem 0;
}

.announcement {
  padding: 5rem 0;
}

.staff6 {
  padding: 5rem 0;
}

section {
  padding: 5.5rem 0;
}

section h2 {
  text-align: center;
  margin-bottom: 4rem;
}

h1,
h2,
h3,
h4,
h5 {
  line-height: 1.2;
}

h1 {
  font-size: 2.4rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.6rem;
}

h4 {
  font-size: 1.3rem;
}

a {
  color: var(--color-white);
}

img {
  width: 100%;
  display: block;
  object-fit: cover;
}

/* swipper js code for autoslide */

.swiper {
  height: 16rem;

  /* width: 40rem; */
  /* width: 34rem; */

  width: 35.4rem;
}

.swiper-slide img {
  height: 100%;
  width: 100%;
  object-fit: contain;
}

.button {
  position: relative;
  padding: 10px 22px;
  border-radius: 6px;
  border: none;
  color: #fff;
  cursor: pointer;
  background-color: #7d2ae8;
  transition: all 0.2s ease;
}
.button:active {
  transform: scale(0.96);
}
.button:before,
.button:after {
  position: absolute;
  content: "";
  width: 150%;
  left: 50%;
  height: 100%;
  transform: translateX(-50%);
  z-index: -1000;
  background-repeat: no-repeat;
}
.button.animate::before {
  top: -70%;
  background-image: radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, transparent 20%, #7d2ae8 20%, transparent 30%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, transparent 10%, #7d2ae8 15%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%);
  background-size: 10% 10%, 20% 20%, 15% 15%, 20% 20%, 18% 18%, 10% 10%, 15% 15%,
    10% 10%, 18% 18%;
  animation: greentopBubbles ease-in-out 0.6s forwards infinite;
}
@keyframes greentopBubbles {
  0% {
    background-position: 5% 90%, 10% 90%, 10% 90%, 15% 90%, 25% 90%, 25% 90%,
      40% 90%, 55% 90%, 70% 90%;
  }
  50% {
    background-position: 0% 80%, 0% 20%, 10% 40%, 20% 0%, 30% 30%, 22% 50%,
      50% 50%, 65% 20%, 90% 30%;
  }
  100% {
    background-position: 0% 70%, 0% 10%, 10% 30%, 20% -10%, 30% 20%, 22% 40%,
      50% 40%, 65% 10%, 90% 20%;
    background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
  }
}
.button.animate::after {
  bottom: -70%;
  background-image: radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, transparent 10%, #7d2ae8 15%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%),
    radial-gradient(circle, #7d2ae8 20%, transparent 20%);
  background-size: 15% 15%, 20% 20%, 18% 18%, 20% 20%, 15% 15%, 20% 20%, 18% 18%;
  animation: greenbottomBubbles ease-in-out 0.6s forwards infinite;
}
@keyframes greenbottomBubbles {
  0% {
    background-position: 10% -10%, 30% 10%, 55% -10%, 70% -10%, 85% -10%,
      70% -10%, 70% 0%;
  }
  50% {
    background-position: 0% 80%, 20% 80%, 45% 60%, 60% 100%, 75% 70%, 95% 60%,
      105% 0%;
  }
  100% {
    background-position: 0% 90%, 20% 90%, 45% 70%, 60% 110%, 75% 80%, 95% 70%,
      110% 10%;
    background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
  }
}

/* navbar */

nav {
  background: transparent;
  width: 100vw;
  height: 5rem;
  position: fixed;
  top: 0;
  z-index: 11;
}

/* change navbar style on scroll using js */

.window-scroll {
  background: var(--color-primary);
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
  transition: var(--transition);
}
.window-scroll1 {
  background: var(--color-primary);
  /* box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2); */
  transition: var(--transition);
}

.navContainer {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
}

nav button {
  display: none;
}

.navMenu {
  display: flex;
  align-items: center;
  gap: 4rem;
}

.navMenu a {
  font-size: 0.9rem;
  transition: var(--transition);
}

.navMenu a:hover {
  color: var(--color-bg2);
}

/* HEADER */

header {
  position: relative;
  top: 6%;
  /* overflow: hidden; */
  height: 70vh;
  margin-bottom: 5rem;
}

.headerContainer {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 5rem;
  height: 100%;
  /* margin-top: -1rem */
}

.headerLeft p {
  margin: 1rem 0 2.4rem;
}

.headerLeft h1 {
  margin-top: 4.6rem;
}

/* categories */

.categories {
  background: var(--color-bg1);
  height: 32rem;
}

.categories h1 {
  line-height: 1;
  margin-bottom: 3rem;
}

.categoriesContainer {
  display: grid;
  grid-template-columns: 40% 60%;
}

.categoriesLeft {
  margin-right: 4rem;
}

.categoriesLeft p {
  margin: 1rem 0 3rem;
  font-size: 0.8rem;
}

.categoriesRight {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.2rem;
}

.category {
  background: var(--color-bg2);
  padding: 2rem;
  border-radius: 2rem;
  transition: var(--transition);
}

/* .category:hover {
  box-shadow: 0 3rem 3rem rgba(0, 0, 0, 0.3);
  z-index: 1;
} */

.category:nth-child(2) .category_icon {
  background-color: var(--color-danger);
}

.category:nth-child(3) .category_icon {
  background-color: var(--color-success);
}

.category:nth-child(4) .category_icon {
  background-color: var(--color-warning);
}

.category:nth-child(5) .category_icon {
  background-color: var(--color-success);
}

.category_icon {
  background: var(--color-primary);
  padding: 0.7rem;
  border-radius: 0.9rem;
}

.category h5 {
  margin: 2rem 0 1rem;
}

.category p {
  font-size: 0.85rem;
}

/* POPULAR COURSES */

.subject {
  font-weight: bold;
}

.courses {
  margin-top: 10rem;
}

.coursesContainer {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.course {
  background: var(--color-bg1);
  text-align: center;
  border: 1px solid transparent;
  border-radius: 40px;
}

.course:hover {
  background: transparent;
  border-color: var(--color-primary);
  transition: var(--transition);
}

.courseInfo {
  padding: 2rem;
}

.courseInfo p {
  margin: 1.2rem 0 2rem;
  font-size: 0.9rem;
}

/* faqs */

/* .faqs {
  background: var(--color-bg1);
  box-shadow: inset 0 0 3rem rgba(0, 0, 0, 0.5);
} */

.faqsContainer {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

.faq {
  padding: 2rem;
  display: flex;
  align-items: center;
  gap: 1.4rem;
  height: fit-content;
  background: var(--color-primary);
  cursor: pointer;
}

.faq h4 {
  font-size: 1rem;
  line-height: 2.2;
}

.faqIcon {
  align-self: flex-start;
  font-size: 1.2rem;
}

.faq p {
  margin-top: 0.8rem;
  display: none;
}

.faq.open p {
  display: block;
}

/* Testimonial */

.testimonialsContainer {
  overflow-x: hidden;
  position: relative;
  margin-bottom: 5rem;
}

.testimonial {
  padding-top: 2rem;
}

.avatar {
  width: 6rem;
  height: 6rem;
  border-radius: 50%;
  overflow: hidden;
  margin: 0 auto 1rem;
  border: 1rem solid var(--color-bg1);
}

.testimonialInfo {
  text-align: center;
}

.testimonialBody {
  background: var(--color-bg1);
  padding: 2rem;
  margin-top: 3rem;
  position: relative;
}

.testimonialBody::before {
  content: "";
  display: block;
  background: linear-gradient(
    135deg,
    transparent,
    var(--color-primary),
    var(--color-primary),
    var(--color-primary)
  );
  width: 3rem;
  height: 3rem;
  position: absolute;
  left: 48%;
  top: -1.5rem;
  transform: rotate(45deg);
}

/* footer */

footer {
  padding-top: 5rem;
  font-size: 0.9rem;
}

.footerContainer {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 5rem;
}

.footerContainer > div h4 {
  margin-bottom: 1.2rem;
}

.footer1 p {
  margin: 0 0 2rem;
}

footer ul li {
  margin-bottom: 0.7rem;
}

footer ul li a:hover {
  text-decoration: underline;
}

.footerSocials {
  display: flex;
  gap: 1rem;
  font-size: 1.2rem;
  margin-top: 2rem;
}

.footerCopyright {
  background: var(--color-bg1);
  text-align: center;
  margin-top: 4rem;
  padding: 1.2rem 0;
  border-top: 1px solid var(--color-bg2);
}

/* media queryes for tablets */

@media screen and (max-width: 1024px) {
  .container {
    width: var(--container-width-md);
  }

  h1 {
    font-size: 2.2rem;
  }

  h2 {
    font-size: 1.7rem;
  }

  h3 {
    font: 1.4rem;
  }

  h4 {
    font-size: 1.2rem;
  }

  /* NAV BAR */

  nav button {
    display: inline-block;
    background: transparent;
    font-size: 1.8rem;
    color: var(--color-white);
    cursor: pointer;
  }

  nav button#close-menu-btn {
    display: none;
  }

  .navMenu {
    position: fixed;
    top: 3.4rem;
    right: 5%;
    height: fit-content;
    width: 23rem;
    flex-direction: row;
    gap: 10%;
    display: none;
  }

  .navMenu li {
    width: 100%;
    height: 5.8rem;
    animation: animateNavItems 400ms linear forwards;
    transform-origin: top right;
    opacity: 0;
  }

  .navMenu li:nth-child(2) {
    animation-delay: 200ms;
  }

  .navMenu li:nth-child(3) {
    animation-delay: 400ms;
  }

  .navMenu li:nth-child(4) {
    animation-delay: 600ms;
  }

  @keyframes animateNavItems {
    0% {
      transform: rotateZ(-90deg) rotateX(90deg) scale(0.1);
    }
    100% {
      transform: rotateZ(0) rotateX(0) scale(1);
      opacity: 1;
    }
  }

  .navMenu li a {
    /* background: var(--color-primary); */
    /* box-shadow: -4rem 6rem 10rem rgba(0, 0, 0, 0.6); */
    height: 100%;
    display: grid;
    place-items: center;
  }

  .navMenu li a:hover {
    background: var(--color-bg2);
    color: var(--color-white);
  }

  /* HEADER */

  header {
    height: 52vh;
    margin-bottom: 4rem;
  }

  .headerContainer {
    gap: 0;
    padding-bottom: 3rem;
  }

  /* CATAGOREIS */

  .categories {
    height: auto;
  }

  .categoriesContainer {
    grid-template-columns: 1fr;
    gap: 3rem;
  }

  .categoriesLeft {
    margin-right: 0;
  }

  /* Courses */

  .course {
    margin-top: 0;
  }

  .coursesContainer {
    grid-template-columns: 1fr 1fr;
  }

  /* FAQ */

  .faqsContainer {
    grid-template-columns: 1fr;
  }

  .faq {
    padding: 1.5rem;
  }

  /* //footer */

  .footerContainer {
    grid-template-columns: 1fr 1fr;
  }
}

/* MEDIA QUERY FOR PHONE ===================== */

@media screen and (max-width: 600px) {
  .container {
    width: var(--container-width-sm);
  }

  /* navbar */

  .navMenu {
    right: 3%;
  }

  /* header */

  header {
    height: 100vh;
  }

  .headerContainer {
    grid-template-columns: 1fr;
    text-align: center;
    margin-top: 0;
  }

  .headerLeft h1 {
    width: 22rem;
    margin-bottom: 1.5rem;
    margin-top: -3.5rem;
  }

  .headerLeft p {
    margin-top: 2rem;
    margin-bottom: 3rem;
    text-align: center;
  }

  .swiper {
    height: 11rem;
    width: 23rem;
    margin-top: -16rem;
    position: absolute;
  }

  .swiper-slide img {
    height: 100%;
    width: 100%;
    object-fit: contain;
  }

  /* categories */

  .categoriesRight {
    grid-template-columns: 1fr 1fr;
    gap: 0.7rem;
  }

  .category {
    padding: 1rem;
    border-radius: 1rem;
  }

  .category_icon {
    margin-top: 4px;
    display: inline-block;
  }

  /* courses */

  .coursesContainer {
    grid-template-columns: 1fr;
  }

  /* testimonial */

  .testimonialBody {
    padding: 1.2rem;
  }

  /* footer */

  .footerContainer {
    grid-template-columns: 1fr;
    text-align: center;
    gap: 2rem;
  }

  .footer1 p {
    margin: 1rem auto;
  }

  .footerSocials {
    justify-content: center;
  }

  /* bg effect */

  .bgAniConatiner {
    position: fixed;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
  }

  .bubbles {
    position: relative;
    display: flex;
    z-index: -100;
  }

  .bubbles span {
    position: relative;
    width: 30px;
    height: 30px;
    background: #4fc3dc;
    margin: 0 4px;
    border-radius: 50%;
    box-shadow: 0 0 0 10px #4fc3dc44, 0 0 50px #4fc3dc, 0 0 100px #4fc3dc;
    animation: aniBG 15s linear infinite;
    animation-duration: calc(125s / var(--i));
  }

  .bubbles span:nth-child(even) {
    background: #ff2d75;

    box-shadow: 0 0 0 10px #ff2d7544, 0 0 50px #ff2d75, 0 0 100px #ff2d75;
  }

  @keyframes aniBG {
    0% {
      transform: translateY(100vh) scale(0);
    }

    100% {
      transform: translateY(-10vh) scale(1);
    }
  }
}

/* MEDIA QUERY FOR SMALL PHONE ===================== */

@media screen and (max-width: 450px) {
  .sem {
    right: -5vw;
    position: relative;
  }
  .annouce {
    right: 0;
    position: relative;
  }
  .contactus {
    right: 2vw;
    position: relative;
  }

  .index {
    display: none;
  }

  .staff7,
  .staff6,
  .staff5,
  .staff4,
  .staff3,
  .staff2,
  .staff1 {
    top: 15vh;
    position: relative;
  }

  .container {
    width: var(--container-width-sm);
  }

  /* navbar */

  .navMenu {
    right: 0vw;
    width: 100%;
    top: 8.7vh;
    /* background-color: #6c63ff; */
  }

  /* header */

  header {
    height: 120vh;
  }

  .headerContainer {
    grid-template-columns: 1fr;
    text-align: center;
    margin-top: 14%;
    width: 100%;
  }

  .headerLeft h1 {
    width: 22rem;
    margin-bottom: 1.5rem;
    margin-top: -3.5rem;
  }

  .headerLeft p {
    margin-top: 2rem;
    margin-bottom: 3rem;
    text-align: center;
  }

  .swiper {
    height: 11rem;
    width: 23rem;
    margin-top: -11rem;
    position: absolute;
  }

  .swiper-slide img {
    height: 100%;
    width: 100%;
    object-fit: contain;
  }

  /* categories */

  .categoriesRight {
    grid-template-columns: 1fr 1fr;
    gap: 0.7rem;
  }

  .category {
    padding: 1rem;
    border-radius: 1rem;
  }

  .category_icon {
    margin-top: 4px;
    display: inline-block;
  }

  /* courses */

  .coursesContainer {
    grid-template-columns: 1fr;
  }

  /* testimonial */

  .testimonialBody {
    padding: 1.2rem;
  }

  /* footer */

  .footerContainer {
    grid-template-columns: 1fr;
    text-align: center;
    gap: 2rem;
  }

  .footer1 p {
    margin: 1rem auto;
  }

  .footerSocials {
    justify-content: center;
  }

  /* bg effect */

  .bgAniConatiner {
    position: fixed;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
  }

  .bubbles {
    position: relative;
    display: flex;
    z-index: -100;
  }

  .bubbles span {
    position: relative;
    width: 30px;
    height: 30px;
    background: #4fc3dc;
    margin: 0 4px;
    border-radius: 50%;
    box-shadow: 0 0 0 10px #4fc3dc44, 0 0 50px #4fc3dc, 0 0 100px #4fc3dc;
    animation: aniBG 15s linear infinite;
    animation-duration: calc(125s / var(--i));
  }

  .bubbles span:nth-child(even) {
    background: #ff2d75;

    box-shadow: 0 0 0 10px #ff2d7544, 0 0 50px #ff2d75, 0 0 100px #ff2d75;
  }

  @keyframes aniBG {
    0% {
      transform: translateY(100vh) scale(0);
    }

    100% {
      transform: translateY(-10vh) scale(1);
    }
  }
}

.footerSocials i {
  transition: var(--transition);
}

.footerSocials i:hover {
  color: #f75842;
}
